<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    android:background="@mipmap/dpbj"
    tools:context=".view.from.zdqx_activity">
    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="30dp"
        android:background="@color/test">
        <ImageView
            android:id="@+id/gongneng_fanhui"
            android:layout_width="26dp"
            android:layout_height="wrap_content"
            android:layout_alignParentLeft="true"
            android:layout_centerVertical="true"
            android:layout_marginLeft="20dp"
            android:textSize="@dimen/TitleSize"
            android:textColor="@color/titleforeground"
            android:src="@mipmap/zj"
            />
        <RelativeLayout
            android:layout_centerInParent="true"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content">
            <TextView
                android:id="@+id/gongneng_title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerInParent="true"
                android:textColor="@color/white"
                android:textSize="@dimen/textTitleSize"
                android:textStyle="bold" />
            <ImageView
                android:layout_width="400dp"
                android:layout_height="22dp"
                android:layout_alignParentBottom="true"
                android:src="@mipmap/tittle"
                android:layout_marginLeft="5dp"
                />
        </RelativeLayout>
    </RelativeLayout>
    <View
        android:layout_width="match_parent"
        android:layout_height="1dp"
        android:background="#FF03668F" />
    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_margin="5dp">
        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentLeft="true"
            android:layout_alignParentTop="true"
            android:src="@mipmap/zs"/>
        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentLeft="true"
            android:layout_alignParentBottom="true"
            android:src="@mipmap/zx"/>
        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentRight="true"
            android:layout_alignParentTop="true"
            android:src="@mipmap/ys"/>
        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentRight="true"
            android:layout_alignParentBottom="true"
            android:src="@mipmap/yx"/>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginStart="10dp"
            android:layout_marginTop="10dp"
            android:layout_marginEnd="10dp"
            android:layout_marginBottom="10dp"
            android:orientation="vertical">

            <TableLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                >

                <TableRow
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_margin="10dp">

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_margin="10dp"
                        android:orientation="vertical">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="40dp"
                            android:layout_margin="5dp"
                            android:gravity="center"
                            android:text="排水阀排水时间:"
                            android:textColor="@color/white" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="40dp"
                            android:layout_margin="5dp"
                            android:gravity="center"
                            android:text="进水阀进水时间:"
                            android:textColor="@color/white" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="40dp"
                            android:layout_margin="5dp"
                            android:gravity="center"
                            android:text="清洗预加热时间:"
                            android:textColor="@color/white" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="10dp"
                        android:layout_marginRight="30dp"
                        android:layout_marginBottom="10dp"
                        android:orientation="vertical">

                        <EditText
                            android:id="@+id/edit_pstime"
                            android:layout_width="wrap_content"
                            android:layout_height="40dp"
                            android:layout_margin="5dp"
                            android:backgroundTint="@color/colorAccent"
                            android:inputType="number|numberDecimal"
                            android:theme="@style/MyEditText_num"
                            android:maxLines="1"
                            android:singleLine="true"
                            android:gravity="center"
                            android:minWidth="50dp"
                            android:textColor="@color/white" />

                        <EditText
                            android:id="@+id/edit_jstime"
                            android:layout_width="wrap_content"
                            android:layout_height="40dp"
                            android:layout_margin="5dp"
                            android:backgroundTint="@color/colorAccent"
                            android:inputType="number|numberDecimal"
                            android:theme="@style/MyEditText_num"
                            android:maxLines="1"
                            android:singleLine="true"
                            android:gravity="center"
                            android:minWidth="50dp"
                            android:textColor="@color/white" />

                        <EditText
                            android:id="@+id/edit_qxjrtime"
                            android:layout_width="wrap_content"
                            android:layout_height="40dp"
                            android:layout_margin="5dp"
                            android:backgroundTint="@color/colorAccent"
                            android:inputType="number|numberDecimal"
                            android:theme="@style/MyEditText_num"
                            android:maxLines="1"
                            android:singleLine="true"
                            android:gravity="center"
                            android:minWidth="50dp"
                            android:textColor="@color/white" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_margin="10dp"
                        android:orientation="vertical">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="40dp"
                            android:layout_margin="5dp"
                            android:gravity="center"
                            android:text="加清洗剂时间:"
                            android:textColor="@color/white" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="40dp"
                            android:layout_margin="5dp"
                            android:gravity="center"
                            android:text="循环清洗时间:"
                            android:textColor="@color/white" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="10dp"
                        android:layout_marginRight="30dp"
                        android:layout_marginBottom="10dp"
                        android:orientation="vertical">

                        <EditText
                            android:id="@+id/edit_jqxjtime"
                            android:layout_width="wrap_content"
                            android:layout_height="40dp"
                            android:layout_margin="5dp"
                            android:backgroundTint="@color/colorAccent"
                            android:inputType="number|numberDecimal"
                            android:theme="@style/MyEditText_num"
                            android:maxLines="1"
                            android:singleLine="true"
                            android:gravity="center"
                            android:minWidth="50dp"
                            android:textColor="@color/white" />

                        <EditText
                            android:id="@+id/edit_xhtime"
                            android:layout_width="wrap_content"
                            android:layout_height="40dp"
                            android:layout_margin="5dp"
                            android:backgroundTint="@color/colorAccent"
                            android:inputType="number|numberDecimal"
                            android:theme="@style/MyEditText_num"
                            android:maxLines="1"
                            android:singleLine="true"
                            android:gravity="center"
                            android:minWidth="50dp"
                            android:textColor="@color/white" />
                    </LinearLayout>

                </TableRow>


            </TableLayout>
            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                android:layout_gravity="center"
                android:layout_margin="20dp">
                <Button
                    android:id="@+id/bt_save"
                    android:layout_width="140dp"
                    android:layout_height="40dp"
                    android:background="@drawable/settingbutton"
                    android:text="保存"
                    android:layout_marginRight="50dp"
                    android:textColor="@color/white" />

                <Switch
                    android:id="@+id/qsmode"
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:background="@drawable/qs_switch"
                    android:layout_marginLeft="40dp"
                    android:text="清洗模式启动"
                    android:textColor="@drawable/qs_textcolor"
                    android:thumbTint="@android:color/white"
                    android:trackTint="@android:color/white" />
            </LinearLayout>
            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:layout_margin="20dp">
                <Button
                    android:id="@+id/bt_start"
                    android:layout_width="120dp"
                    android:layout_height="80dp"
                    android:background="@drawable/bt_circular"
                    android:text="开始清洗"
                    android:textColor="@color/white" />
            </LinearLayout>

            <ProgressBar
                android:id="@+id/progress_bar"
                style="?android:attr/progressBarStyleHorizontal"
                android:layout_width="400dp"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:visibility="visible"
                android:layout_centerInParent="true"
                android:duration="3000"
                android:indeterminate="true"
                android:max="100" />


        </LinearLayout>
    </RelativeLayout>
</LinearLayout>